# 数据源配置
spring:
    datasource:
        type: com.alibaba.druid.pool.DruidDataSource
        driverClassName: com.mysql.cj.jdbc.Driver
        druid:
            # 主库数据源
            master:
#                url: jdbc:mysql://localhost:3306/yj?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8&rewriteBatchedStatements=true
#                username: root
#                password: 123456
                url: jdbc:mysql://127.0.0.1:32768/yoga?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8&rewriteBatchedStatements=true
                username: root
                password: '!Runpeng888'
            # 从库数据源
            slave:
                # 从数据源开关/默认关闭
                enabled: false
                url:
                username:
                password:
            statViewServlet:
                # 控制台管理用户名和密码
                login-username: ruoyi
                login-password: 123456
    # redis 配置
    redis:
        # 地址
        host: localhost
        # 端口，默认为6379
        port: 6379
        # 数据库索引
        database: 0
        # 密码
        password:

scheduling:
    enabled: false

minio:
    endpoint: http://62.234.183.14:9000
    accessKey: IvostdowO3hTkXuaa392
    secretKey: wZCLColkVlNMYrxczzdvEC2VyK3lLh5DCb8yrFhE
    bucketName: yoga-mall
    productImagePath: mall-product-image
    courseImagePath: mall-course-image
    filePath: file
    videoPath: video
    expireIn: 180 # 文件过期时间,单位:天
